Python scripts
These example scripts were written in Python 2.7. They are included here for example purposes only and should not be used for production environments.
- GET request for config endpoints
-
Use
api_get_config.pyto test GET requests. - GET all company tokens and system entity hierarchy
-
Use
get_deep_config.pyto print the system's company tokens and entity hierarchy to the console using multiple /config requests. - GET request for multiple endpoints
-
Use
api_get_test.pyto make a GET request to certain V‑Spark endpoints. - POST entity configuration
-
Use
api_post_config.pyto test POST requests to the /config endpoint and to verify the expected HTTP return code. - POST request with a JSON file
-
Use this Python script to make a POST request to certain V‑Spark endpoints.
- GET or POST
/searchrequests -
Use
get_search.pyto test GET requests with/search. This script saves results and match count to a file.Use
post_search.pyto test POST requests with/search. This script saves results and match count to a file.
